Skip to main content
`Ctrl`+`K`

# TaoTermIsComputeHessianFDPossible

Whether this term can compute Hessian with finite differences with either `-tao_term_hessian_use_fd`, `TaoTermComputeHessianSetUseFD()`, or `MATMFFD`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermIsComputeHessianFDPossible(TaoTerm term, PetscBool3 *is_fdpossible)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- is_fdpossible - whether Hessian computation with finite differences is possible

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermComputeObjective()`, `TaoTermShellSetObjective()`, `TaoTermIsGradientDefined()`, `TaoTermIsObjectiveAndGradientDefined()`, `TaoTermIsHessianDefined()`

## Level

developer

## Location

src/tao/term/interface/taoterm.c

## Implementations

TaoTermIsComputeHessianFDPossible_Halfl2squared() in src/tao/term/impls/halfl2squared/taotermhalfl2squared.c
TaoTermIsComputeHessianFDPossible_L1() in src/tao/term/impls/l1/taoterml1.c
TaoTermIsComputeHessianFDPossible_Quadratic() in src/tao/term/impls/quadratic/taotermquadratic.c
TaoTermIsComputeHessianFDPossible_Shell() in src/tao/term/impls/shell/taotermshell.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages